DATABridge Enterprise Server 6.1 SP2 May Require Visual C++ 2008 Library

  • 7021911
  • 13-Oct-2011
  • 31-Mar-2018

Environment

DATABridge Enterprise Server version 6.1 SP2

Situation

After installing the DATABridge 6.1 Service Pack 2, DATABridge Enterprise Server may return one of the following error messages:

  • "Activation context generation failed..."
  • "The application has failed to start because its side-by-side configuration is incorrect"

Note: If the DATABridge Client is unable to connect to Enterprise Server, similar messages may appear in the Windows Event Log for DBDirector.

Resolution

To resolve the error, download and install the Microsoft Visual C++ 2008 Redistributable Package (x86) from the Microsoft Download Center, http://www.microsoft.com/download/en/details.aspx?id=10015

Make sure that you install the 32-bit version (x86) even if you run 64-bit Windows.

Note the following:

  • You do not need to re-install DATABridge 6.1 Service Pack 2.
  • This issue does not affect DATABridge 6.1 Service Pack 3 or higher.

Additional Information

Legacy KB ID

This document was originally published as Attachmate Technical Note 2583.

Feedback service temporarily unavailable. For content questions or problems, please contact Support.